Bug 256801 - vex amd64->IR: unhandled instruction bytes: 0x66 0x66 0x66 0x66
vex amd64->IR: unhandled instruction bytes: 0x66 0x66 0x66 0x66
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 11:48 EDT by Adam Goode
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.3-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 12:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2007-08-27 11:48:21 EDT
Description of problem:
valgrind doesn't work on x86_64

Version-Release number of selected component (if applicable):
valgrind-3.2.3-5

How reproducible:
Every time.

Steps to Reproduce:

valgrind ls

  
Actual results:

==24551== Memcheck, a memory error detector.
==24551== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==24551== Using LibVEX rev 1732, a library for dynamic binary translation.
==24551== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==24551== Using valgrind-3.2.3, a dynamic binary instrumentation framework.
==24551== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==24551== For more details, rerun with: -v
==24551== 
vex amd64->IR: unhandled instruction bytes: 0x66 0x66 0x66 0x66
==24551== valgrind: Unrecognised instruction at address 0x4015081.
==24551== Your program just tried to execute an instruction that Valgrind
==24551== did not recognise.  There are two possible reasons for this.
==24551== 1. Your program has a bug and erroneously jumped to a non-code
==24551==    location.  If you are running Memcheck and you just saw a
==24551==    warning about a bad jump, it's probably your program's fault.
==24551== 2. The instruction is legitimate but Valgrind doesn't handle it,
==24551==    i.e. it's Valgrind's fault.  If you think this is the case or
==24551==    you are not sure, please let us know and we'll try to fix it.
==24551== Either way, Valgrind will now raise a SIGILL signal which will
==24551== probably kill your program.
==24551== 
==24551== Process terminating with default action of signal 4 (SIGILL)
==24551==  Illegal opcode at address 0x4015081
==24551==    at 0x4015081: memcpy (in /lib64/ld-2.6.90.so)
==24551==    by 0x4003C02: dl_main (rtld.c:1616)
==24551==    by 0x401337A: _dl_sysdep_start (dl-sysdep.c:239)
==24551==    by 0x400240F: _dl_start (rtld.c:323)
==24551==    by 0x4000AC7: (within /lib64/ld-2.6.90.so)
==24551== 
==24551== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)
==24551== malloc/free: in use at exit: 0 bytes in 0 blocks.
==24551== malloc/free: 0 allocs, 0 frees, 0 bytes allocated.
==24551== For counts of detected errors, rerun with: -v
==24551== All heap blocks were freed -- no leaks are possible.
Illegal instruction



Upstream report with patch:
https://bugs.kde.org/show_bug.cgi?id=148447
Comment 1 Fedora Update System 2007-09-04 18:02:18 EDT
valgrind-3.2.3-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-09-12 12:43:22 EDT
valgrind-3.2.3-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.